<template>
  <div class="label">
    <view
      v-for="(item, index) in titleArr"
      :key="index"
      :style="{ color: item.color }"
      >{{ item.label }}</view
    >
  </div>
</template>
<script setup name="LABEL">
import { ref, watch, computed } from 'vue';
const props = defineProps({
  config: { type: Object },
});
const titleArr = computed(() => {
  return JSON.parse(props.config.title || '[]');
});
</script>
<style lang="less" scoped>
.label {
  margin: 0 0 15px;
  font-size: 14px;
  font-weight: bold;
  color: #262626;
  line-height: 24px;
}
</style>
